package com.tripto.bjlt.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 查询结果集
 */
@Data
public class SearchResultSet implements Serializable,Cloneable {

    private static final long SearchResultSetUID = 4421986545645644L;

    private String fromDate;            //2018-06-12, 起飞时间
    private Integer durationTotal;      //70, 飞行总时长 分钟
    private String toCity;              //HDY,  到达机场三字码
    private String airName;             //航司 如：AK
    private String airSourceName;       //航司数据源名称 如：AK_WEB
    private Integer airSourceCode;      //航司数据源编码 如：1
    private String currency;            //CNY, 币种
    private String formCity;            //KUL, 出发机场三字码
    private String retDate;             //2018-06-20, 返程时间
    private BigDecimal adultTax;        //119.55, 成人价格
    private BigDecimal childTax;        //0,      儿童价格
    private BigDecimal adultPrice;      //369.07, 成人税费
    private BigDecimal childPrice;      //0,   儿童税费
    private String cabin;               //VF,  舱位等级
    private String cabinClass;         //1, 舱位等级编码
    private String cabinName;           //超值套餐 舱位等级名称
    private Integer maxSeats;           //5,  最大座位数

    //计算过程记录，辅助校验 计算过程透明
    //1.记录查询结果原始值（未被加工的）去程与回程原始价格
    private BigDecimal origGoAdultTax;
    private BigDecimal origGoChildTax;
    private BigDecimal origGoAdultPrice;
    private BigDecimal origGoChildPrice;
    private BigDecimal origRetAdultTax;
    private BigDecimal origRetChildTax;
    private BigDecimal origRetAdultPrice;
    private BigDecimal origRetChildPrice;
    //2.是否需要汇率转换记录
    private String origCurrency;
    private String origCurrRate;//拿取汇率KEY=汇率
    //3.命中政策字符串  去程 回程分别命中
    private String origGoPolicy;
    private String origRetPolicy;
    //4.平台航司加减价 原始数据
    private String origWholePrice;
    //5.平台自我加减价
    private String origPlatForm;

    private List<SearchResultSetSegments> fromSegments; //去程航班信息

    private List<SearchResultSetSegments> retSegments; //回程航班信息

    public Object clone() {
        try {
            return (SearchResultSet)super.clone();
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }
}


