package com.tripto.bjlt.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

/**
 * @Author: Scott
 * @Description: Contro返回API层数据
 * @Date: Create in 09:45 2017/10/13
 */
@Data
public class SearchReturnAfterOta implements Serializable{

    private static final long serialVersionUID = -8383845837426832307L;

    /**
     * 来源标识
     */
    private String cid;

    /**
     * 去程时间
     */
    private String fromDate;

    /**
     * 返程时间
     */
    private String retDate;

    /**
     * 出发城市三字码代码
     */
    private String fromCity;

    /**
     * 抵达城市三字码代码
     */
    private String toCity;

    /**
     * 航程类型 单程 往返 或者多程 用枚举控制
     */

    private String tripType;

    /**
     * 成人数量
     */
    private Integer adultNum;

    /**
     * 儿童数量
     */
    private Integer childNum;

    /**
     * 请求时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date requestTime;

    /**
     * 备用数据
     */
    private Map<String,String> data;
}
